Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum Routing

    java.lang.Object
      java.lang.Enum<Routing>
          org.eclipse.gmf.codegen.gmfgen.Routing

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Routing>, org.eclipse.emf.common.util.Enumerator

    public enum Routing

extends java.lang.Enum<Routing>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Routing', and utility methods for working with them.

See Also:
  `GMFGenPackage.getRouting()`
** Generated **
Model:

Enum Constant Summary
`MANUAL_LITERAL` The 'MANUAL' literal object
`RECTILINEAR_LITERAL` The 'RECTILINEAR' literal object
`TREE_LITERAL` The 'TREE' literal object

Field Summary
`static int` `MANUAL` The 'MANUAL' literal value
`static int` `RECTILINEAR` The 'RECTILINEAR' literal value
`static int` `TREE` The 'TREE' literal value
`static java.util.List<Routing>` `VALUES` A public read-only list of all the 'Routing' enumerators

Method Summary
`static Routing` `get(int value)` Returns the 'Routing' literal with the specified integer value
`static Routing` `get(java.lang.String literal)` Returns the 'Routing' literal with the specified literal value
`static Routing` `getByName(java.lang.String name)` Returns the 'Routing' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static Routing` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Routing[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANUAL_LITERAL

    public static final Routing MANUAL_LITERAL

  The 'MANUAL' literal object.

  See Also:
    `MANUAL`
  ** Generated **
  Ordered:

### RECTILINEAR_LITERAL

    public static final Routing RECTILINEAR_LITERAL

  The 'RECTILINEAR' literal object.

  See Also:
    `RECTILINEAR`
  ** Generated **
  Ordered:

### TREE_LITERAL

    public static final Routing TREE_LITERAL

  The 'TREE' literal object.

  See Also:
    `TREE`
  ** Generated **
  Ordered:

Field Detail

### MANUAL

    public static final int MANUAL

  The 'MANUAL' literal value.

  If the meaning of 'Manual' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MANUAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### RECTILINEAR

    public static final int RECTILINEAR

  The 'RECTILINEAR' literal value.

  If the meaning of 'Rectilinear' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RECTILINEAR_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### TREE

    public static final int TREE

  The 'TREE' literal value.

  If the meaning of 'Tree' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TREE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<Routing> VALUES

  A public read-only list of all the 'Routing' enumerators.

  ** Generated **

Method Detail

### values

    public static final Routing[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Routing c : Routing.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Routing valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static Routing get(java.lang.String literal)

  Returns the 'Routing' literal with the specified literal value.

  ** Generated **

### getByName

    public static Routing getByName(java.lang.String name)

  Returns the 'Routing' literal with the specified name.

  ** Generated **

### get

    public static Routing get(int value)

  Returns the 'Routing' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Routing>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.